Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 786855 - net-wireless/srslte-20.10.1-r2 - /.../observer.h: error: size_t does not name a type (maybe gcc-11 related)
Summary: net-wireless/srslte-20.10.1-r2 - /.../observer.h: error: size_t does not name...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Radio Herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: gcc-11
  Show dependency tree
 
Reported: 2021-04-29 14:46 UTC by Toralf Förster
Modified: 2021-08-04 22:18 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,18.06 KB, text/plain)
2021-04-29 14:46 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,316.97 KB, text/plain)
2021-04-29 14:46 UTC, Toralf Förster
Details
environment (environment,93.28 KB, text/plain)
2021-04-29 14:46 UTC, Toralf Förster
Details
etc.portage.tar.bz2 (etc.portage.tar.bz2,21.13 KB, application/x-bzip)
2021-04-29 14:46 UTC, Toralf Förster
Details
logs.tar.bz2 (logs.tar.bz2,6.11 KB, application/x-bzip)
2021-04-29 14:46 UTC, Toralf Förster
Details
net-wireless:srslte-20.10.1-r2:20210429-135544.log (net-wireless:srslte-20.10.1-r2:20210429-135544.log,493.89 KB, text/plain)
2021-04-29 14:46 UTC, Toralf Förster
Details
temp.tar.bz2 (temp.tar.bz2,39.12 KB, application/x-bzip)
2021-04-29 14:46 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2021-04-29 14:46:14 UTC
In file included from /var/tmp/portage/net-wireless/srslte-20.10.1-r2/work/srslte-20.10.1/lib/test/adt/observer_test.cc:22:
/var/tmp/portage/net-wireless/srslte-20.10.1-r2/work/srslte-20.10.1/lib/include/srslte/adt/observer.h:33:7: error: ‘size_t’ does not name a type
   33 | const size_t invalid_observer_id = std::numeric_limits<observer_id>::max();
      |       ^~~~~~
/var/tmp/portage/net-wireless/srslte-20.10.1-r2/work/srslte-20.10.1/lib/include/srslte/adt/observer.h:29:1: note: ‘size_t’ is defined in header ‘<cstddef>’; did you forget to ‘#include <cstddef>’?
   28 | #include <vector>

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_desktop_plasma_systemd-20210421-084009

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-8.3.1
 [2] x86_64-pc-linux-gnu-11.1.0 *
clang version 12.0.0
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/12/bin
/usr/lib/llvm/12
12.0.0
Python 3.8.9
Available Ruby profiles:
  [1]   ruby26 (with Rubygems)
  [2]   ruby30 (with Rubygems) *
Available Rust versions:
  [1]   rust-bin-1.51.0 *
The following VMs are available for generation-2:
1)	JamVM JDK 2.0.0 [jamvm]
*)	AdoptOpenJDK 8.292_p10 [openjdk-bin-8]
Available Java Virtual Machines:
  [1]   jamvm 
  [2]   openjdk-bin-8  system-vm

The Glorious Glasgow Haskell Compilation System, version 8.10.4

  timestamp(s) of HEAD at this tinderbox image:
/var/db/repos/gentoo	Wed Apr 28 23:50:13 UTC 2021

emerge -qpvO net-wireless/srslte
[ebuild  N    ] net-wireless/srslte-20.10.1-r2  USE="-bladerf -simcard -soapysdr -uhd -zeromq"
Comment 1 Toralf Förster gentoo-dev 2021-04-29 14:46:16 UTC
Created attachment 703917 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2021-04-29 14:46:17 UTC
Created attachment 703920 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2021-04-29 14:46:19 UTC
Created attachment 703923 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2021-04-29 14:46:20 UTC
Created attachment 703926 [details]
etc.portage.tar.bz2
Comment 5 Toralf Förster gentoo-dev 2021-04-29 14:46:21 UTC
Created attachment 703929 [details]
logs.tar.bz2
Comment 6 Toralf Förster gentoo-dev 2021-04-29 14:46:23 UTC
Created attachment 703932 [details]
net-wireless:srslte-20.10.1-r2:20210429-135544.log
Comment 7 Toralf Förster gentoo-dev 2021-04-29 14:46:25 UTC
Created attachment 703935 [details]
temp.tar.bz2
Comment 8 Sam James archtester gentoo-dev Security 2021-07-29 06:14:09 UTC
Ping
Comment 9 Larry the Git Cow gentoo-dev 2021-08-04 22:18:03 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=44fc729f854e1d3307b6131abfe8d32a6653a15f

commit 44fc729f854e1d3307b6131abfe8d32a6653a15f
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2021-08-04 22:17:33 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2021-08-04 22:17:56 +0000

    net-wireless/srslte: fix build with GCC 11
    
    Closes: https://bugs.gentoo.org/786855
    Signed-off-by: Sam James <sam@gentoo.org>

 .../files/srslte-20.10.1-add-missing-include.patch | 26 ++++++++++++++++++++++
 net-wireless/srslte/srslte-20.10.1-r2.ebuild       |  4 ++++
 2 files changed, 30 insertions(+)